Data Fields
_GntWM Struct Reference

## Data Fields
GntBindable | inherit
GMainLoop * | loop
GList * | workspaces
GList * | tagged
GntWS * | cws
struct {
GntWidget * window
GntWidget * tree
} | _list
struct {
GntWidget * window
GntWidget * tree
} * | windows
struct {
GntWidget * window
GntWidget * tree
} * | actions
GHashTable * | nodes
GHashTable * | name_places
GHashTable * | title_places
GList * | acts
GntMenu * | menu
| There can be at most one menu at a time on the screen. More...
gboolean | event_stack
| 'event_stack' will be set to TRUE when a user-event, ie. More...
GntKeyPressMode | mode
GHashTable * | positions
void * | res1
void * | res2
void * | res3
void * | res4

## Detailed Description

Definition at line 79 of file gntwm.h.

## Field Documentation

## ◆ event_stack

gboolean _GntWM::event_stack

'event_stack' will be set to TRUE when a user-event, ie.

a mouse-click or a key-press is being processed. This variable will be used to determine whether to give focus to a new window.

Definition at line 115 of file gntwm.h.

## ◆ menu

GntMenu* _GntWM::menu

There can be at most one menu at a time on the screen.

If there is a menu being displayed, then all the keystrokes will be sent to the menu until it is closed, either when the user activates a menuitem, or presses Escape to cancel the menu.

Definition at line 108 of file gntwm.h.

The documentation for this struct was generated from the following file:

- gntwm.h